# Glom::AppState Class Reference

There is one instance per document. More...

Collaboration diagram for Glom::AppState:
[legend]

List of all members.

## Public Types

enum | userlevels { USERLEVEL_OPERATOR, USERLEVEL_DEVELOPER }
typedef sigc::signal< void, userlevels > | type_signal_userlevel_changed

## Public Member Functions

| AppState ()
virtual | ~AppState ()
virtual userlevels | get_userlevel () const
| Returns whether we are in developer mode.
virtual void | set_userlevel (userlevels value)
| This will cause the userlevel_changed signal to be emitted.
virtual void | emit_userlevel_changed ()
| Use this to set the initial UI state:
type_signal_userlevel_changed | signal_userlevel_changed ()
| The user interface should handle this signal and alter itself accordingly.

## Detailed Description

There is one instance per document.

This is for storing volatile application state. It is not for configuration that should be the same after the application is closed and restarted - use gconf for that.

## Member Typedef Documentation

typedef sigc::signal<void, userlevels> Glom::AppState::type_signal_userlevel_changed

## Member Enumeration Documentation

enum Glom::AppState::userlevels

Enumerator:

  USERLEVEL_OPERATOR |
  USERLEVEL_DEVELOPER |

## Constructor & Destructor Documentation

Glom::AppState::AppState | ( |  | ) |

virtual Glom::AppState::~AppState | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Glom::AppState::emit_userlevel_changed | ( |  | ) | `[virtual]`

Use this to set the initial UI state:

virtual userlevels Glom::AppState::get_userlevel | ( |  | ) | const`[virtual]`

Returns whether we are in developer mode.

Some functionality will be deactivated when not in developer mode.

virtual void Glom::AppState::set_userlevel | ( | userlevels | value | ) | `[virtual]`

This will cause the userlevel_changed signal to be emitted.

type_signal_userlevel_changed Glom::AppState::signal_userlevel_changed | ( |  | ) |

The user interface should handle this signal and alter itself accordingly.

The documentation for this class was generated from the following file:

- libglom/appstate.h